Skip to main content
Alerting & Response/Alert Routing & Policies

AssignAlertToOnCall

Assign an alert to the on-call engineer based on the assignment rule

POST/api/v1/alerting/assignments/{alertId}/assign

Operation ID

AssignAlertToOnCall

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • alertId
    StringRequired

    Alert identifier to assign

Body Fields

  • ruleId
    StringRequired

    Rule identifier for assignment lookup

    Example: rule-abc123

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • alertId
    String

    Alert identifier for this assignment

    Example: alert-789xyz

  • assigneeUserId
    String

    User ID of the assigned engineer

    Example: user-001

  • assigneeName
    String

    Display name of the assigned engineer

    Example: John Smith

  • assignedAt
    String

    Timestamp when the assignment was made

    Example: 2026-01-15T08:00:00Z

  • assignmentSource
    String

    Source of the assignment (auto, manual, escalation)

    Example: auto